com.sun.mail.smtp

## Class SMTPSenderFailedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.mail.MessagingException
      - - javax.mail.SendFailedException
        - - com.sun.mail.smtp.SMTPSenderFailedException

- All Implemented Interfaces:
    Serializable

      public class SMTPSenderFailedException
      extends SendFailedException

  This exception is thrown when the message cannot be sent.

  The exception includes the sender's address, which the mail server rejected.

  Since:
    JavaMail 1.4.4
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected InternetAddress` | `addr`
    `protected String` | `cmd`
    `protected int` | `rc`

    - ### Fields inherited from class javax.mail.SendFailedException

      `invalid, validSent, validUnsent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SMTPSenderFailedException(InternetAddress addr, String cmd, int rc, String err)` Constructs an SMTPSenderFailedException with the specified address, return code, and error string.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `InternetAddress` | `getAddress()` Return the address that failed.
    `String` | `getCommand()` Return the command that failed.
    `int` | `getReturnCode()` Return the return code from the SMTP server that indicates the reason for the failure.

    - ### Methods inherited from class javax.mail.SendFailedException

      `getInvalidAddresses, getValidSentAddresses, getValidUnsentAddresses`

    - ### Methods inherited from class javax.mail.MessagingException

      `getCause, getNextException, setNextException, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### addr

          protected InternetAddress addr

    - #### cmd

          protected String cmd

    - #### rc

          protected int rc

  - ### Constructor Detail

    - #### SMTPSenderFailedException

          public SMTPSenderFailedException(InternetAddress addr,
                                   String cmd,
                                   int rc,
                                   String err)

      Constructs an SMTPSenderFailedException with the specified address, return code, and error string.
      Parameters:
        `addr` - the address that failed
        `cmd` - the command that was sent to the SMTP server
        `rc` - the SMTP return code indicating the failure
        `err` - the error string from the SMTP server

  - ### Method Detail

    - #### getAddress

          public InternetAddress getAddress()

      Return the address that failed.
      Returns:
        the address

    - #### getCommand

          public String getCommand()

      Return the command that failed.
      Returns:
        the command

    - #### getReturnCode

          public int getReturnCode()

      Return the return code from the SMTP server that indicates the reason for the failure. See RFC 821 for interpretation of the return code.
      Returns:
        the return code

Copyright © 2016 Oracle. All rights reserved.